Headless LMS

List an automation's runs — a deleted automation's runs remain reachable (audit trail)

GET /api/automations/{id}/runs. List an automation's runs. A deleted automation's runs remain reachable (audit trail). Headless LMS Automations API reference.

GET
/api/automations/{id}/runs

Path Parameters

id*string

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
pageSize?integer
Range1 <= value <= 100
Default20
search?string
sort?string
status?string

Value in

  • "running"
  • "completed"
  • "failed"

Response Body

application/json

curl -X GET "https://example.com/api/automations/string/runs"
{  "rows": [    {      "orgId": "string",      "id": "string",      "automationId": "string",      "trigger": "string",      "eventId": "string",      "event": {        "type": "string",        "version": 1,        "id": "string",        "orgId": "string",        "occurredAt": "string",        "data": null,        "metadata": {          "property1": null,          "property2": null        }      },      "status": "running",      "actionResults": [        {          "index": 0,          "type": "string",          "status": "completed",          "error": "string"        }      ],      "startedAt": "2019-08-24T14:15:22Z",      "finishedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "total": -9007199254740991,  "page": -9007199254740991,  "pageSize": -9007199254740991}